Stream contract project events
SSE endpoint for real-time contract status updates (test results, audit, etc.)
GET
/v1/contract/projects/{id}/stream
SSE endpoint for real-time contract status updates (test results, audit, etc.)
Path Parameters
id
string
required
path
Contract Project ID
Responses
200
SSE stream with contract events
text/event-stream
400
Bad Request
403
Forbidden
curl -X GET 'https://api.example.com/v1/contract/projects/string/stream' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/contract/projects/string/stream', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/contract/projects/string/stream', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/contract/projects/string/stream", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
"<string>"
API Playground
Try this endpoint
GET
/v1/contract/projects/{id}/stream
